GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/i386-bsd-tdep.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include "frame.h"`
`#include "gdbcore.h"`
`#include "regcache.h"`
`#include "osabi.h"`
`#include "i386-tdep.h"`

Go to the source code of this file.

## Functions
static CORE_ADDR | i386bsd_sigcontext_addr (struct frame_info *this_frame)
void | i386bsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)

## Variables
int | i386bsd_sc_reg_offset []

## Function Documentation

## ◆ i386bsd_init_abi()

void i386bsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |

Definition at line 75 of file i386-bsd-tdep.c.

References gdbarch_tdep(), i386bsd_sc_reg_offset, i386bsd_sigcontext_addr(), gdbarch_tdep::jb_pc_offset, gdbarch_tdep::sc_num_regs, gdbarch_tdep::sc_reg_offset, gdbarch_tdep::sigcontext_addr, gdbarch_tdep::sigtramp_end, and gdbarch_tdep::sigtramp_start.

Referenced by amd64fbsd_init_abi(), i386fbsd_init_abi(), i386nbsd_init_abi(), and i386obsd_init_abi().

## ◆ i386bsd_sigcontext_addr()

static CORE_ADDR i386bsd_sigcontext_addr | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 35 of file i386-bsd-tdep.c.

References gdbarch::byte_order, extract_unsigned_integer(), gdbarch_byte_order(), get_frame_arch(), get_frame_register(), I386_ESP_REGNUM, and read_memory_unsigned_integer().

Referenced by i386bsd_init_abi().

## Variable Documentation

## ◆ i386bsd_sc_reg_offset

int i386bsd_sc_reg_offset[]

Initial value:
=
{
-1,
-1,
-1,
-1,
8 + 0 * 4,
8 + 1 * 4,
-1,
-1,
8 + 3 * 4,
8 + 4 * 4,
-1,
-1,
-1,
-1,
-1,
-1
}

Definition at line 54 of file i386-bsd-tdep.c.

Referenced by i386bsd_init_abi().